
/*
 * Inl1 Class
 * Karl-Adam Karlsson
 * 06-09-29
 *
 * Klass innehllande main metoden fr inlupp 1, Internetprogramerieng.
 *
 */

public class Inl1 implements Runnable{
	private static Thread mainThread;
	//Klassvariabel, av typen Thread.
	
	/*
	 * Konstruktor, skapar en trd som jag 
	 * anvnder fr att kunna tima startandet av de andra trderna (T1 & T2)
	 * 
	 */  
  public  Inl1(){  }
  
  
  /*
   * Anvnds fr att kunna sova.
   * Skapar en instans av T1 & en av T2
   * Ger instansen av T2 som indata till en ny instans av 
   * Thread.
   * Startar T1 instansen och sover 5sekunder
   * 
   * Startar Thread instanse thTwo.
   * 
   * Sover 5 sekunder med mainThread.
   * Stoppar frsta trden.
   * Sover 5 sekunder till.
   * Stoppar andra trden.
   *
   */
   public void run(){
   		T2 teTwo = new T2();
		Thread thTwo = new Thread(teTwo);
		T1 teOne = new T1();
		
		teOne.start();
		
		try {Thread.sleep(5000);}
			catch(InterruptedException e){System.out.println("Inl1::Run() Interrupted");}
		
		thTwo.start();
		
		try {Thread.sleep(5000);}
			catch(InterruptedException e){System.out.println("Inl1::Run() Interrupted");}
		teOne.kill();
		teOne.stop();
	
		try {Thread.sleep(5000);}
			catch(InterruptedException e){System.out.println("Inl1::Run() Interrupted");}
		
		thTwo.stop();
   }//End of run
   
   public static void main (String[] args) {
  	Inl1 toRun = new Inl1();
  	Thread mainThread = new Thread(toRun);
  	mainThread.start();
  }
}

