
/*
 * Direction.java
 * Karl-Adam Karlsson
 * 06-10-17
 *
 * This class is used for communication with the worm game.
 *
 */


import java.io.Serializable;

/*
 * En enkel serializad Direction Class.
 * Inte mycket att orda om.
 * Skriven bara fr att f serialization.
 *
 */
public class Direction implements Serializable{

	public static final int UP = 1;	
	public static final int DOWN = 2;
	public static final int LEFT = 3;	
	public static final int RIGHT = 4;

	private int dir;

	public Direction(int aDir){
		dir = aDir;
	}

	public void setDir(int aDir){
		dir = aDir;
	}

	public int getDir(){return this.dir;}


}//End of Class