/*
 * myRenderer
 * Cellrenderer att anvnda till klientlistan i ChatUI
 *
 * * Karl-Adam Karlsson
 * 06-10-12
 *
 */


import javax.swing.*;
import java.awt.Component;
import java.awt.Color;


 class MyRenderer extends JLabel implements ListCellRenderer {
     
     //Konstruktor
     public MyRenderer() {
         setOpaque(true);
     }
     
     /* 
      * Ser till att texten blir rtt.
      * Om Client (vilket det borde vara)
      * Stt texten till dennes namn.
      *
      */
     public Component getListCellRendererComponent(JList list,Object value,int index,boolean isSelected,boolean cellHasFocus)
     {
     	if(value instanceof Client){
     		Client tmp = (Client)value;
     		this.setText(tmp.getName());
     	}
     	else{this.setText("Unknown Object");}
         
         setBackground(isSelected ? Color.red : Color.white);
         setForeground(isSelected ? Color.white : Color.black);
         return this;
     }
 }