/*
 * Client.java
 * Clientklassen innehpller representationen fr en klient som r ansluten till chatten. 
 *
 * Karl-Adam Karlsson
 * 06-10-12
 *
 */

 import java.io.*;
 import java.net.*;

public class Client extends Object implements Serializable{
	private InetAddress address;
	private String name;
	private ioHandler myHandler;
	private Socket aSock;
	public boolean firstConnect;
	private String crypto;

	public Client(String aName, String aCrypto, InetAddress adrss){
		name = aName;
		aSock = null;
		firstConnect = true;
		crypto = aCrypto;
		
		if(aCrypto!=""){
			
		}
				
		//set up address
 		try{
 			address = InetAddress.getByAddress(adrss.getAddress());
 			}catch(UnknownHostException e){
 				//System.out.println(address.toString());
 				e.printStackTrace();	
 			}
	}
	
	// Constructs a client from a message
	public Client(Message aMessage){
		name = aMessage.getText();
		address = aMessage.getSenderIP();
		//setUpSocket();
	}
	
	/*
	 * Sets up a socket for this client.
	 * Only used for clients that are NOT you.
	 */
	public void setUpSocket(){		
	// Set up socket
		try {
	    	aSock = new Socket(address, 2345);//2345 r den standard port alla skall lyssna p.
		} catch(IOException e) {
	    	e.printStackTrace();
	        System.out.println("Exception, creating socket failed.");
            return;
		}	
	
	}//end of setUpSocket
	
	//// GETTER && SETTERS BELOW

	//returnerar namnet.
	public String getName(){return name;}

	//stter vr ioHandler
	public void setHandler(ioHandler hand){myHandler=hand;}
	public ioHandler getHandler(){return myHandler;}
	public Socket getSocket(){return this.aSock;}
	public void setName(String aname){name=aname;}
	public InetAddress getAddress(){return address;}
	public String getCrypto(){return this.crypto;}




}//end of Class